// file: $DT/class/attribute_node/v1.0/attr_set_0.cc
//

// system include files
//
#include <string.h>

// isip include files
//
#include "attribute_node.h"
#include "attribute_node_constants.h"
#include <integral_constants.h>

// method: set_label_cc
//
// arguments:
//  char_1* label: (input) the attribute label
//
// return: a logical_1 indicating status
//
// This function sets the attribute's label
//
logical_1 Attribute_node::set_label_cc (char_1* label_a) {

  if (label_a == (char_1*)NULL) {
    error_handler_cc((char_1*)"set_label_cc",
		     (char_1*)"invalid label");
  }
  if (label_d == (char_1*)NULL) {
    label_d = new char_1[strlen((char*)label_a)];
  }
  
  strcpy((char*)label_d, (char*)label_a);
    
  // exit gracefully
  //
  return ISIP_TRUE;
}


