// file: $DT/class/attribute_node/v1.0/attr_set_4.cc
//

// system include files
//
#include <string.h>

// isip include files
//
#include "attribute_node.h"
#include "attribute_node_constants.h"
#include <integral_constants.h>

// method: set_max_cc
//
// arguments:
//  float_4& max: (input) the attribute's maximum value
//
// return: a logical_1 indicating status
//
// This function sets the attribute's maximum value
//
logical_1 Attribute_node::set_max_cc (float_4& max_a) {

  max_d = max_a;
  
  // exit gracefully
  //
  return ISIP_TRUE;
}


