// file: $DT/class/attribute_node/v1.0/attr_set_6.cc
//

// system include files
//
#include <string.h>

// isip include files
//
#include "attribute_node.h"
#include "attribute_node_constants.h"
#include <integral_constants.h>

// method: set_values_cc
//
// arguments:
//  int_4& num_values: (input) the values in attribute
//
// return: a logical_1 indicating status
//
// This function sets the values in attribute
//
logical_1 Attribute_node::set_values_cc (char_1** values_a) {

  if (values_a == (char_1**)NULL) {
    error_handler_cc((char_1*)"set_values_cc",
		     (char_1*)"invalid values");
  }

  if (values_d == (char_1**)NULL) {
    values_d = new char_1*[num_values_d];
  }
  for (int_4 i=0;i<num_values_d;i++) {
    values_d[i] = new char_1[strlen((char*)values_a[i])+1];
    strcpy((char*)values_d[i], (char*)values_a[i]);
  }  

  // exit gracefully
  //
  return ISIP_TRUE;
}


