// file: $DT/class/data_node/v1.0/data_get_6.cc
//

// system include files
//
#include <stdlib.h>
#include <string.h>

// isip include files
//
#include "data_node.h"
#include "data_node_constants.h"
#include <integral_constants.h>

// method: get_values_cc
//
// arguments:
//  float_4* values: (input) the list of data items to return
//
// return: logical error status
//
// This function returns the list of data items
//
logical_1 Data_node::get_values_cc(float_4* values_a) {
  
  // check arguments
  //

  int_4 num_values;
  get_num_items_cc(num_values);
  
  if (num_values <= 0) {
    error_handler_cc((char_1*)"get_values_cc",
		     (char_1*)"no element in the label list");
  }
  
  for (int_4 i=0;i<num_values;i++) {
    values_a[i] = values_d[i];
  }
  
  // exit gracefully
  //
  return ISIP_TRUE;  
}
