// file: $DT/class/data_node/v1.0/data_set_0.cc
//

// system include files
//
#include <string.h>

// isip include files
//
#include "data_node.h"
#include "data_node_constants.h"
#include <integral_constants.h>

// method: set_desc_cc
//
// arguments:
//  char_1* desc: (input) the data description label
//
// return: a logical_1 indicating status
//
// This function sets the data's label
//
logical_1 Data_node::set_desc_cc (char_1* desc_a) {

  if (desc_a == (char_1*)NULL) {
    error_handler_cc((char_1*)"set_desc_cc",
		     (char_1*)"invalid desc");
  }
  if (desc_d != (char_1*)NULL) {
    delete [] desc_d;
    desc_d = (char_1*)NULL;
  }
  
  desc_d = new char_1[strlen((char*)desc_a) + 1];
  strcpy((char*)desc_d, (char*)desc_a);
    
  // exit gracefully
  //
  return ISIP_TRUE;
}


