// file: $DT/class/decision_tree/v1.0/dt_disp_0.cc
//

// isip include files
//
#include "decision_tree.h"
#include "decision_tree_constants.h"
#include "tree.h"
#include <integral_constants.h>

// method: display_cc
//
// arguments:
//
// return: a logical_1 indicating status
//
logical_1 Decision_tree::display_cc(FILE* fp_a, int_4 display_level_a) {

  // NULL file pointer, error and exit
  //
  if (fp_a == (FILE*)NULL) {

    error_handler_cc((char_1*)"display_cc", (char_1*)"NULL file pointer");
  }

  // display tree based on display type
  //
  tree_d->output_tree_cc( fp_a, display_level_a );
  
  // exit gracefully
  //
  return ISIP_TRUE;
}


