// file: $DT/class/tree/v1.0/dt_info_2.cc
//

// isip include files
//
#include "decision_tree.h"
#include <integral_constants.h>

// method: calculate_split_info_cc
//
// arguments: 
//  int_4 left (input): the number of data going to the left of the tree
//  int_4 right (input): the number of data going to the right of the tree
//  int_4 num_data (input): the total number of data
//
// return: float_4 indicating the split information with this split
//
// this method calculates the split information with the split provided
//
float_4 Decision_tree::calculate_split_info_cc(int_4 left_a, int_4 right_a,
					       int_4 num_data_a) {

  // return the total entropy due to this split
  //
  return (entropy_cc(left_a, num_data_a)
	  + entropy_cc(right_a, num_data_a));

}
