// file: $DT/class/decision_tree/v1.0/dt_token_0.cc
//

// isip include files
//
#include "decision_tree.h"
#include <integral_constants.h>
#include <param_file.h>

// method: tokenize_line_cc
//
// arguments:
//  char_1*  buffer_a (input) buffer to be tokenized
//  int_4    lines_a (input) number of lines to be tokenized
//  char_1** attr_list_a (output) list of attributes to return
//
// return: a logical_1 indicating status
//
logical_1 Decision_tree::tokenize_line_cc (char_1* buffer_a,
					   int_4 lines_a,
					   char_1** attr_list_a) {

  // argument validity check
  //
  if (buffer_a == (char_1*)NULL) {
    error_handler_cc((char_1*)"tokenize_line_cc",
		     (char_1*)"can't tokenize an empty string");
  }
				 
  if (attr_list_a == (char_1**)NULL) {
        error_handler_cc((char_1*)"tokenize_line_cc",
                     (char_1*)"invalid output location");
  }

  int_4 num=0;
  if (pre_tokenize_cc(attr_list_a, num, buffer_a, ISIP_NEWLINE)
      != ISIP_TRUE) {
    error_handler_cc((char_1*)"tokenize_line_cc",
		     (char_1*)"problem tokenizing object");
  }

  // exit gracefully
  //
  return ISIP_TRUE;
}


