// file: ll_cstr_1.cc
//

// isip include files
//
#include "linked_list.h"
#include "linked_list_constants.h"

// method: constructor
//
// arguments:
//  void_p node: (input) the node pointer
//
// return: none
//
// this is the default constructor for the Linked_list class that
// starts with a given node
//
Linked_list::Linked_list(void_p node_a) {

  // set the node of the list
  //
  node_d = node_a;

  // make current point to the head of the linked list
  //
  curr_d = this;

  // set the link pointers
  //
  next_d = (Linked_list*)NULL;
  prev_d = (Linked_list*)NULL;

  // debugging parameters
  //
  debug_level_d = ISIP_DEBUG_NONE;
  
  // exit gracefully
  //
}
