// file: ll_cstr_2.cc
//

// isip include files
//
// isip include files
//
#include "linked_list.h"
#include "linked_list_constants.h"

// method: constructor
//
// arguments:
//  Linked_list& list: (input) the linked list to copy
//
// return: none
//
// this is the copy constructor for the Linked_list class
//
Linked_list::Linked_list(Linked_list& list) {

  // set the node pointer
  //
  node_d = list.node_d;

  // set the direction pointer
  //
  next_d = list.next_d;
  prev_d = list.prev_d;

  // set the position pointer
  //
  curr_d = list.curr_d;

  // debugging parameters
  //
  debug_level_d = list.debug_level_d;
  
  // exit gracefully
  //
}
