// file: ll_curr_0.cc
//

// isip include files
//
#include "linked_list.h"
#include <integral_constants.h>
 
// method: set_current_cc
//
// arguments:
//  void_p node: (input) the node to be set as current
//
// return: a logical flag indicating success
//
// this method sets the current pointer to the given node
//
logical_1 Linked_list::set_current_cc(Linked_list* link_a) {

  // set this as current node
  //
  for (Linked_list* ll = this; ll != NULL; ll = ll->next_d) {
    ll->curr_d = link_a;
  }
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
