// file: ut_dbg_0.cc
//
 
// isip include files
//
#include "linked_list.h"
#include <integral_constants.h>
 
// method: set_debug_cc
//
// arguments:
//  int_4 value: (input) debug level
//
// return: a logical_1 value indicating status
//
// this method sets the debug level
//
logical_1 Linked_list::set_debug_cc(int_4 value_a) {
  
  // for each link set the debug mode
  //
  debug_level_d = value_a;
  if (next_d != NULL) {
    next_d->set_debug_cc(debug_level_d);
  }
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
