// file: ll_dbg_1.cc
//
 
// isip include files
//
#include "linked_list.h"
#include <integral_constants.h>

// method: debug_cc
//
// arguments:
//  FILE* fp: (input) file pointer used for output
//  char_1* message: (input) a message concatenated to each debug message
//
// return: a logical_1 value indicating status
//
// this method displays the values of all internal data
//
logical_1 Linked_list::debug_cc(FILE* fp_a, char_1* message_a) {

  // dump debugging parameters
  //
  fprintf(fp_a, "%s: debug_level_d = %ld\n", message_a, debug_level_d);
    
  // iterate through links
  //
  if (next_d != NULL) {
    next_d->debug_cc(fp_a, message_a);
  }

  // exit gracefully
  //
  return ISIP_TRUE;
}
