// file: ll_link_3.cc
//

// isip include files
//
#include "linked_list.h"
#include <integral_constants.h>

// method: split_cc
//
// arguments:
//  void_p node: (input) the node at which the split shoul occur
//
// return: a logical_1 flag to indicate success
//
// this method creates a new link with a null node and inserts it next
// to the specified link. the current pointer is set here.
//
logical_1 Linked_list::split_cc(void_p node_a) {

  // set the current pointer
  //
  set_current_cc(node_a);

  // create a new link to insert after the current link
  //
  Linked_list* link = new Linked_list();

  // connect the two
  //
  link->next_d = curr_d->next_d;
  link->prev_d = curr_d;
  if (curr_d->next_d != NULL) {
    curr_d->next_d->prev_d = link;
  }
  curr_d->next_d = link;

  // set the current link pointer to the new link
  //
  for (Linked_list* ll = this; ll != NULL; ll = ll->next_d) {
    ll->curr_d = link;
  }

  // exit gracefully
  //
  return ISIP_TRUE;
}
