// file: ll_set_0.cc
//

// isip include files
//
#include "linked_list.h"
#include <integral_constants.h>

// method: set_prev_cc
//
// arguments:
//  Linked_list* link: (input) the link to be set as previous
//
// return: a logical_1 flag indicating success
//
// this method sets the previous link to the specified value
//
logical_1 Linked_list::set_prev_cc(Linked_list* link_a) {

  // set the previous link
  //
  prev_d = link_a;

  // exit gracefully
  //
  return ISIP_TRUE;
}
