// file: $DT/class/param_file/v1.0/pfil_cstr_2.cc
//
 
// isip include files
//
#include "param_file.h"

#include "param_file_constants.h"

// method: constructor
//
// arguments:
//  char_1 terminator_char_a: (input) terminator character
//  char_1 assignment_char_a: (input) assignment character
//  char_1 comment_char_a: (input) comment character
//
// return: none
//
//
// this is the default constructor for the Param_file class
//
Param_file::Param_file(char_1 terminator_char_a,
		       char_1 assignment_char_a,
		       char_1 comment_char_a) {
  
  // set the class data from arguments
  //
  terminator_char_d = terminator_char_a;
  assignment_char_d = assignment_char_a;
  comment_char_d = comment_char_a;
  
  // initialize all variables
  //
  param_file_d = (char_1*)NULL;
  magic_string_d = (char_1*)NULL;
  
  params_d = (char_1**)NULL;
  values_d = (char_1**)NULL;
  num_params_d = 0;
  
  parse_statement_format_d = (char_1*)NULL;
  load_statement_format_d = (char_1*)NULL;
  
  debug_level_d = ISIP_DEBUG_NONE;
  
  // now build the formats from the other class data
  //
  set_parse_string_cc();
  
  // exit gracefully
  //
}

