// file: $DT/class/param_file/v1.0/pfil_err_0.cc
//
 
// isip include files
//
#include "param_file.h"

#include "param_file_constants.h"
#include <integral_constants.h>
 
// method: error_handler_cc
//
// arguments: none
//
// return: none
//
//
// this is the error handler for the param_file class
//
volatile void Param_file::error_handler_cc(char_1* mname_a, char_1* msg_a) {
  
   // display a message
  //
  if (mname_a != (char_1*)NULL) {
    
    // check for no message
    //
    if (msg_a != (char_1*)NULL) {
      fprintf(stdout, "%s::%s: %s\n",
	      PARAM_FILE_CLASS_NAME, mname_a, msg_a);
    }
    else {
      fprintf(stdout, "%s::%s: fatal error\n",
	      PARAM_FILE_CLASS_NAME, mname_a);
    }
  }

  // exit very ungracefully 
  //
  exit(ISIP_FALSE);
  
}

