// file: $DT/class/tree_node/v1.0/tn_data_0.cc
//

// isip include files
//
#include "data_node.h"
#include "linked_list.h"
#include "tree_node.h"
#include <integral_constants.h>
 
// method: add_child_cc
//
// arguments: none
//
// return: logical_1 flag to indicate success
//
// this method adds a data node to the linked list of data nodes
//
logical_1 Tree_node::add_data_node_cc(Data_node* data_ptr) {

  // increment the number of data nodes contained in the linked list
  //
  num_data_nodes_d++;
  
  // insert the pointer to the data node into a linked list
  //
  data_d->insert_cc((void_p) data_ptr);
  
  // exit gracefully
  //
  return ISIP_TRUE;

}
