// file: $DT/class/tree_node/v1.0/tn_io_0.cc
//

// system include files
//
#include <string.h>

// isip include files
//
#include "tree_node.h"
#include "tree_node_constants.h"
#include <integral_constants.h>

// method: print_probs_cc
//
// arguments: string containg the space for the info
//
// return: logical_1 indicating success
//
// this method returns the probabilities for this node in a string
//
logical_1 Tree_node::print_probs_cc( char_1* prob_str_a ) {

  char_1* single_str = new char_1[ISIP_MAX_STRING_LENGTH];

  // copy contents of prob array into a string
  //
  for ( int_4 i=0; i< num_class_d; i++ ) {
    sprintf( (char*)single_str, "%s:%f ", classes_d[i],probability_d[i] );
    strcat( (char*)prob_str_a, (char*)single_str );
  }
  delete [] single_str;
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
