// file: $DT/class/tree_node/v1.0/tn_node_0.cc
//

// isip include files
//
#include "tree_node.h"
#include <integral_constants.h>
 
// method: number_of_children_cc
//
// arguments: none
//
// return: int_4 number
//
// this method determines number a children a node has
//
int_4 Tree_node::number_of_children_cc() {

  int_4 count_a = 0;
  Linked_list* temp_node_a;
  Tree_node* tree_node_a;
  
  // set temp_node_a to children of the node
  //
  temp_node_a=children_d;
  tree_node_a = (Tree_node*)temp_node_a->get_node_cc();

  // count number of nodes in linked list (i.e. number of chidren)
  //
  while ( (temp_node_a=temp_node_a->get_next_cc()) != (Linked_list*)NULL) {
    tree_node_a = (Tree_node*)temp_node_a->get_node_cc();
    count_a++;
  }

  // return number of children
  //
  return count_a;

}
