// file: $DT/class/tree_node/v1.0/tn_set_8.cc
//

// isip include files
//
#include "tree_node.h"
#include "tree_node_constants.h"
#include "decision_tree_constants.h"
#include <integral_constants.h>

// method: set_node_cc
//
// arguments: int_4* mask_a... mask for the split
//            char_1** discrete_values_a... possibles split values
//            int_4 DT_SPLIT_LEFT or DT_SPLIT_RIGHT
//            int_4 operator_d operator used for question
//            char_1* attr_label_a  attribute label
//
// return: logical_1 flag to indicate success
//
// this method sets the data required for a question
//
logical_1 Tree_node::set_count_cc ( int_4* count_list, int_4 num_classes ) {

  if ( count_d != (int_4*)NULL )
    delete [] count_d;

  count_d = new int_4[num_classes];

  for ( int_4 i=0; i<num_classes; i++ )
    count_d[i]=count_list[i];
  
  // return gracefully
  //
  return ISIP_TRUE;
}
