# File: clear_proc.tcl
#

# this procedure clears the display areas
#

proc clear_proc {} {

    #import globals
    #
    global name_spell
    global in_data
    global in_file
    global out_file
    global tmp1_file
    global tmp2_file
    global net_file
    global p

    # change the cursor to wait
    #
    $p config -cursor watch
    update

    # clear the spelling area
    #
    set name_spell ""
    catch {exec rm $in_data}
    catch {exec rm $in_file}

    # remove temp files
    #
    catch {exec rm $tmp1_file}
    catch {exec rm $tmp2_file}

    # clear the pronunciation area
    #
    catch {exec rm $out_file}
    readfile_proc

    # clear the network picture
    #
    catch {exec rm $net_file}
    $p.network delete all

    # restore the cursor
    #
    $p config -cursor top_left_arrow
}
