# file: parse_proc.tcl
#
proc parse_proc {w in_str ind} {
    
    global phones_list
    global fore_color back_color

    if {[string match "*Score:*" $in_str] != 0} {
	set str [string range $in_str 0 [expr [string first "Score:" $in_str] -1]]
	set str [string trim $str]
	set last [string length $str]
	$w insert end "$in_str\n" 
	$w tag add "line_$ind" $ind.0 $ind.$last

	$w tag bind "line_$ind" <Double-Button-1> "play_proc \"$str\""
	
	$w tag bind "line_$ind" <Enter> \
		"$w tag configure line_$ind -background $fore_color \
		-foreground $back_color"
	$w tag bind "line_$ind" <Leave> \
		"$w tag configure line_$ind -background $back_color \
		-foreground $fore_color"
	lappend phones_list "line_$ind" "$str"
    } else {
	$w insert end "$in_str\n"
    }
}
