# File : play_proc.tcl
#
# This file plays the output 
#

# function to play audio
#
proc play_proc {str} {
    
    # declare globals
    #
    global audio_command audio_device audio_sf audio_play_speed
    global tts_prog audio_tmp_file tts_opts
    global audio_map_file
    global volume

    # this creates the audio_tmp_file
    #
    exec $tts_prog -output $audio_tmp_file -speed $audio_play_speed \
	    -sf $audio_sf -map $audio_map_file -phone "$str"
    
    # play the file using auplay
    #
    # set vol [expr $volume * 100]
    # exec $audio_command -audio $audio_device -volume $vol $audio_tmp_file 

    # play the file using isip_play
    #
    exec $audio_command  $audio_tmp_file -sf $audio_sf -t au \
	    -device $audio_device -v $volume -num_chan 1

    # remove the audio file after use
    #
    exec rm $audio_tmp_file

    # end of function
}
