// file: bn_get_0.cc
//
// method to get the output of the neuron
//

// isip include files
//
#include "boltz_neuron.h"

//-----------------------------------------------------------------------------
// method: output_cc
//
// arguments: 
//     float_4 &out_a: (output) the output value of the neuron
//
// return: a logical_1 to indicate success status
//
// this method returns the output of a neuron
// the output value is either 1 or 0 in testing, and an intermediate
// during training
//
//-----------------------------------------------------------------------------

logical_1 Boltz_neuron :: output_cc (float_4 &out_a) {

  // get the output value
  //
  out_a = output_d;

  // exit gracefully
  //
  return (ISIP_TRUE);
}
