// file: bn_get_1.cc
//
// method to get the firing probability of the neuron
//

// isip include files
//
#include "boltz_neuron.h"

//-----------------------------------------------------------------------------
// method: likelihood_cc
//
// arguments: 
//     float_4 &lhood_a: (output) the firing probability value of the neuron
//
// return: a logical_1 to indicate success status
//
// this method returns the firing probability of a neuron
//
//-----------------------------------------------------------------------------

logical_1 Boltz_neuron :: likelihood_cc (float_4 &lhood_a) {

  // get the firing probability value
  //
  lhood_a = probability_d;

  // exit gracefully
  //
  return (ISIP_TRUE);
}
