// file: bn_set_3.cc
//
// method to set the inverse temperature of the neuron
//

// isip include files
//
#include "boltz_neuron.h"

//-----------------------------------------------------------------------------
// method: set_inv_temp_cc
//
// arguments: 
//     float_4 itmp_a: (input) the value of the inverse temperautre
//
// return: a logical_1 to indicate success status
//
// this method sets the inverse temperature value
//
//-----------------------------------------------------------------------------

logical_1 Boltz_neuron :: set_inv_temp_cc (float_4 itmp_a) {
  
  // set the inverse temperature value
  //
  inv_temp_d = itmp_a;
  
  // exit gracefully
  //
  return (ISIP_TRUE);
}
