// file: ib_cstr_0.cc
//
// destructor
//

// isip include files
//
#include "input_buffer.h"

//-----------------------------------------------------------------------------
// method: destructor
//
// arguments: none
//
// return: none
//
// this is the destructor for the input buffer class of a boltzman machine
//-----------------------------------------------------------------------------

Input_buffer :: ~Input_buffer () {

  // cleanup memory in character strings
  //
  delete [] input_d;
  delete [] name_d;

  // free memory in vectors
  //
  delete output_d;
  
  // exit gracefully
  //
}
