// file: ib_set_0.cc
//
// method to clear the buffer
//

// isip include files
//
#include "input_buffer.h"

//-----------------------------------------------------------------------------
// method: clear_cc
//
// arguments: none
//
// return: a logical_1 value indicating success
//
// this method clears the buffer contents
//
//-----------------------------------------------------------------------------

logical_1 Input_buffer :: clear_cc () {

  // dummy variable
  //
  static int_4 size_l = out_size_d * sizeof (float_4);
  
  // set the input string to blanks
  //
  memset (input_d, 0, in_size_d);
  
  // set the output bits to 0
  //
  memset (output_d, 0, size_l);
  
  // exit gracefully
  //
  return (ISIP_TRUE);
}
