// file: ib_set_1.cc
//
// method to set the buffer output for a particular character stored
//

// isip include files
//
#include "input_buffer.h"

//-----------------------------------------------------------------------------
// method: set_outs_cc
//
// arguments: 
//     int_4 pos_a: (input) position in the buffer for which bits are set
//
// return: a logical_1 value indicating success
//
// this method sets the buffer output for a particular position
//
//-----------------------------------------------------------------------------

logical_1 Input_buffer :: set_outs_cc (int_4 pos_a) {

  // this is done by converting the inputs to their binary equivalents
  //
  set_bits_cc (output_d + pos_a * num_input_bits_d, input_d[pos_a]);
  
  // exit gracefully
  //
  return (ISIP_TRUE);
}
