// file: op_cstr_0.cc
//
// destructor
//

// isip include files
//
#include "output_pron.h"

//-----------------------------------------------------------------------------
// method: destructor
//
// arguments: none
//
// return: none
//
// this is the destructor for the output pronunciations class of 
// a boltzman machine
//-----------------------------------------------------------------------------

Output_pron :: ~Output_pron () {

  // cleanup memory in character strings
  //
  delete [] name_spell_d;
  delete [] name_prons_d;
  
  // free memory in vectors
  //
  delete pron_score_d;
  
  // exit gracefully
  //
}
