// file: tree_cstr_1.cc
//

// system include files
//
#include <string.h>

// isip include files
//
#include "tree.h"
#include <integral_constants.h>

int_4 Tree::counter = 0;

// method: constructor
//
// arguments: none
//
// return: none
//
// this is the default constructor for the Tree class
//
//
Tree::Tree() {

  // set default values for internal data
  //
  char_d = (char_1)NULL;
  pos_d = (int_4)0;
  
  left_prob_d = (float_8)0.0;
  right_prob_d = (float_8)0.0;
  prob_d = (float_8)0.0;

  class_d = (char_1**)NULL;
  class_count_d = (int_4*)NULL;
  
  parent_d = (Tree*)NULL;
  left_child_d = (Tree*)NULL;
  right_child_d = (Tree*)NULL;
  
  // set the default debug level
  //
  debug_level_d = ISIP_DEBUG_NONE;

  // for debug
  //
  counter++;

  // for debug
  //
  if (debug_level_d > ISIP_DEBUG_DETAILED) {
    fprintf(stdout,"building another node %ld\n", counter);
  }
  
  // exit gracefully
  //
}
