// file: tree_cstr_2.cc
//

// system include files
//
#include <string.h>

// isip include files
//
#include "tree.h"
#include <integral_constants.h>

// method: constructor
//
// arguments:
//   logical_1 fatal_mode_a: (input) mode of exit
//
// return: none
//
// This is the constructor that sets the fatal error mode.
//
//
Tree::Tree(logical_1 fatal_mode_a) {

  // set default values for internal data
  //
  char_d = (char_1)NULL;
  pos_d = (int_4)0;
  
  left_prob_d = (float_8)0.0;
  right_prob_d = (float_8)0.0;
  prob_d = (float_8)0.0;

  class_d = (char_1**)NULL;
  class_count_d = (int_4*)NULL;
  
  parent_d = (Tree*)NULL;
  left_child_d = (Tree*)NULL;
  right_child_d = (Tree*)NULL;
  
  // set the default debug level
  //
  debug_level_d = ISIP_DEBUG_NONE;

  // set fatal error_mode
  //
  fatal_mode_d = fatal_mode_a;
  
  // for debug
  //
  counter++;

  if (debug_level_d > ISIP_DEBUG_DETAILED) {
    fprintf(stdout,"building another node %ld\n", counter);
  }

  // exit gracefully
  //
}






