// file: generate_pron.h
//
// utility for training and testing the Boltzmann machine neural network
//

// make sure definitions are only made once
//
#ifndef __ISIP_GENERATE_PRON
#define __ISIP_GENERATE_PRON

// isip include files
//
#ifndef __ISIP_BOLTZ_MACHINE
#include <boltz_machine/boltz_machine.h>
#endif

// the help file
//
#define GP_HELP_FILE "$ISIP_PRON_DEMO/src/util/generate_pron/generate_pron.help"

// commandline identifiers
//
#define GP_FUNCTION_OPT "-f"
#define GP_PARAMS_OPT "-p"
#define GP_NBEST_OPT "-n"
#define GP_INFILE_OPT "-i"
#define GP_OUTFILE_OPT "-o"

// end of file
//
#endif
