// file: $ISIP_PRON/src/decision_tree/v1.0/util/generate_tree/generate_tree.h
//
 
// make sure this file is only included once
//
#ifndef __ISIP_GENERATE_TREE
#define __ISIP_GENERATE_TREE
 
// isip include files
//
#ifndef __ISIP_INTEGRAL
#include <integral.h>
#endif

// function prototypes
//

logical_1 get_parameters_cc(int_4& mode, int_4& context, int_4& nbest,
			    char_1* in_fname, char_1* out_fname,
			    char_1* tree_fname, int_4& debug_level,
			    int_4 argc, char_1** argv);

logical_1 load_train_cc(char_1**& attributes, char_1**& classes,
			int_4& num_items, int_4& array_size,
			char_1* in_fname, int_4 debug_level);

logical_1 load_test_cc(char_1**& attributes, 
		       char_1**& tst_classes, float_4*& probs,
		       int_4& num_items, int_4& array_size,
		       char_1* in_fname, int_4 debug_level);

logical_1 grow_float_arrays_cc(float_4* ptr_floats, int_4& cur_size,
			       int_4 grow_size);

logical_1 grow_string_arrays_cc(char_1**& ptr_strings, int_4& cur_size,
				int_4 grow_size);

int_4 lsearch_cc(char_1* item, char_1** buf, int_4 num_items,
		 int_4 debug_level);

// end of file
//
#endif






