// file: $ISIP_PRON/src/decision_tree/v1.0/util/generate_tree/generate_tree_constants.h
//
 
// make sure this file is only included once
//
#ifndef __ISIP_GENERATE_TREE_CONSTANTS
#define __ISIP_GENERATE_TREE_CONSTANTS
 
// isip include files
//
#ifndef __INTEGRAL
#include <integral.h>
#endif

// define the help file
//
#define GTREE_HELP_FILE "$ISIP_PRON/src/decision_tree/v1.0/util/generate_tree/generate_tree.help"

// define command line identifiers
//
#define GTREE_MODE_OPT (char_1*)"-mode"
#define GTREE_CONTEXT_OPT (char_1*)"-context"
#define GTREE_NBEST_OPT (char_1*)"-nbest"
#define GTREE_DEBUG_OPT (char_1*)"-debug"
#define GTREE_INPUT_OPT (char_1*)"-input"
#define GTREE_OUTPUT_OPT (char_1*)"-output"
#define GTREE_TREE_OPT (char_1*)"-tree"

// define mode values
//
#define GTREE_TRAIN_MODE (int_4)1
#define GTREE_TEST_MODE (int_4)2
#define GTREE_TEST_IO_MODE (int_4)99

// define default values
//
#define GTREE_DEFAULT_MODE GTREE_TRAIN_MODE
#define GTREE_DEFAULT_CONTEXT (int_4)7
#define GTREE_DEFAULT_NBEST (int_4)1
#define GTREE_DEFAULT_DEBUG ISIP_DEBUG_NONE

// define miscellaneous constants
//
#define GTREE_COMMENT_CHAR '#'
#define GTREE_INITIAL_ARRAY_SIZE 100000
#define GTREE_ARRAY_GROW_SIZE 50000

// end of file
//
#endif






