// file: $ISIP_PRON/src/decision_tree/v1.0/util/rebuild/r_comp_0.cc
//

// isip include files
//
#include "rebuild.h"

#include <integral_constants.h>

// method: compare_float_cc
//
// arguments:
//   float_4* num1_a: (input/output) 
//   float_4* num2_a: (input/output)
//
// return:
//   an int_4 to indicate status
//
// This method compares two numbers and returns status of comparison.
//
//
int compare_float_cc(float_4* num1_a, float_4* num2_a) {

  if (*num1_a > *num2_a) {
    return (-1);
  }
  
  if (*num1_a < *num2_a) {
    return (1);
  }
  
  return (0);
}
