// file: $DT/class/attribute_node/v1.0/attr_cstr_1.cc
//

// isip include files
//
#include "attribute_node.h"
#include "attribute_node_constants.h"

#include <integral_constants.h>

// method: default constructor
//
// arguments: none
//
// return: none
//
Attribute_node::Attribute_node() {
  
  // set the default debug level
  //
  debug_level_d = ISIP_DEBUG_NONE;
  
  // initialize attribute node name
  //
  label_d = (char_1*)NULL;

  // initialize splitting, pruning, and smoothing modes
  //
  type_d = (int_4)ATTR_TYPE_NONE;
  range_d = (int_4)ATTR_RANGE_NONE;

  min_d = 0;
  max_d = 0;
  
  num_values_d = 0;
  values_d = (char_1**)NULL;
  
  // exit gracefully
  //
}




