// file: $DT/class/attribute_node/v1.0/attr_cstr_4.cc
//

// isip include files
//
#include "attribute_node.h"
#include "attribute_node_constants.h"

#include <integral_constants.h>

// method: default constructor
//
// arguments: none
//
// return: none
//
Attribute_node::Attribute_node(char_1* label_a, int_4 type_a,
			       int_4 range_a, float_4 min_a,
			       float_4 max_a) {
  
  // set the default debug level
  //
  debug_level_d = ISIP_DEBUG_NONE;
  
  // initialize attribute node name
  //
  label_d = (char_1*)NULL;
  set_label_cc(label_a);

  // initialize splitting, pruning, and smoothing modes
  //
  type_d = ATTR_TYPE_NONE;
  range_d = ATTR_RANGE_NONE;
  set_type_cc(type_a);
  set_range_cc(range_a);

  min_d = 0;
  max_d = 0;
  set_min_cc(min_a);
  set_max_cc(max_a);
  
  num_values_d = 0;
  values_d = (char_1**)NULL;
  
  // exit gracefully
  //
}




