// file: $DT/class/attribute_node/v1.0/attr_get_0.cc
//

// system include files
//
#include <stdlib.h>
#include <string.h>

// isip include files
//
#include "attribute_node.h"

#include "attribute_node_constants.h"
#include <integral_constants.h>

// method: get_label_cc
//
// arguments:
//  char_1** label: (input) the list of attribute label to return
//
// return: logical error status
//
// This function returns the list of attribute label
//
logical_1 Attribute_node::get_label_cc(char_1* label_a) {
  
  // check arguments
  //
  
  if (label_a == (char_1*)NULL) {
    error_handler_cc((char_1*)"get_label_cc",
		     (char_1*)"no memory allocated for label");
  }
  strcpy((char*)label_a, (char*)label_d);
  
  // exit gracefully
  //
  return ISIP_TRUE;  
}
