// file: $DT/class/attribute_node/v1.0/attr_get_6.cc
//

// system include files
//
#include <stdlib.h>
#include <string.h>

// isip include files
//
#include "attribute_node.h"

#include "attribute_node_constants.h"
#include <integral_constants.h>

// method: get_label_cc
//
// arguments:
//  char_1** values: (input) the list of attribute values to return
//
// return: logical error status
//
// This function returns the list of attribute values
//
logical_1 Attribute_node::get_values_cc(char_1** values_a) {
  
  // check arguments
  //
  if (values_a == (char_1**)NULL) {
    error_handler_cc((char_1*)"get_values_cc",
		     (char_1*)"no memory allocated for values");
  }

  int_4 num_values;
  get_num_values_cc(num_values);
  
  for (int_4 i=0;i<num_values;i++) {
    if (values_a[i] == (char_1*)NULL) {
      error_handler_cc((char_1*)"get_values_cc",
		       (char_1*)"no memory allocated for values");
    }
    strcpy((char*)values_a[i], (char*)values_d[i]);
  }
  
  // exit gracefully
  //
  return ISIP_TRUE;  
}
