// file: $DT/class/attribute_node/v1.0/attribute_node_constants.h
//
 
// make sure the definitions are made only once
//
#ifndef __ISIP_DT_ATTRIBUTE_NODE_CONSTANTS
#define __ISIP_DT_ATTRIBUTE_NODE_CONSTANTS

// isip include files
//
#ifndef __ISIP_INTEGRAL
#include <integral.h>
#endif

// define the class name
//
#define ATTRIBUTE_NODE_CLASS_NAME (char_1*)"Attribute_node"

// define available types
//
#define ATTR_TYPE (char_1*)"type"
#define ATTR_TYPE_NONE (int_4)-1
#define ATTR_TYPE_DISCRETE (int_4)0
#define ATTR_TYPE_CONTINUOUS (int_4)1

// define type flags information
//
#define ATTR_TYPE_CONTINUOUS_FLAG (char_1*)"cont"
#define ATTR_TYPE_CONTINUOUS_FLAG_LENGTH (int_4)5

// define different ranging modes
//
#define ATTR_RANGE (char_1*)"range"
#define ATTR_RANGE_NONE (int_4)-1
#define ATTR_RANGE_AUTO (int_4)0
#define ATTR_RANGE_MANUAL (int_4)1
#define ATTR_RANGE_ENUM (int_4)2

// define ranging mode information
//
#define ATTR_RANGE_MANUAL_FLAG (char_1*)".."

// end of file
//
#endif



