// file: $DT/class/data_node/v1.0/data_cstr_0.cc
//

// isip include files
//
#include "data_node.h"

// method: default destructor
//
// arguments: none
//
// return: none
//
Data_node::~Data_node() {
  
  // general data needing cleanup
  //
  if (desc_d != (char_1*)NULL) {
    delete [] desc_d;
  }
  desc_d = (char_1*)NULL;

  for (int_4 i=0;i<num_items_d;i++) {
    if (items_d[i] != (char_1*)NULL) {
      delete [] items_d[i];
    }
    items_d[i] = (char_1*)NULL;
    
    if (labels_d[i] != (char_1*)NULL) {
      delete [] labels_d[i];
    }
    labels_d[i] = (char_1*)NULL;
  }
  
  if (items_d != (char_1**)NULL) {
    delete [] items_d;
  }
  items_d = (char_1**)NULL;
  
  if (labels_d != (char_1**)NULL) {
    delete [] labels_d;
  }
  labels_d = (char_1**)NULL;

  if (values_d != (float_4*)NULL) {
    delete [] values_d;
  }
  
  // exit gracefully
  //
}


