// file: $DT/class/data_node/v1.0/data_cstr_2.cc
//

// isip include files
//
#include "data_node.h"
#include "data_node_constants.h"

#include <integral_constants.h>

// method: default constructor
//
// arguments:
//  char_1* desc_a (input) the description label
//  int_4 num_items_a (input) number of items in the node
//  char_1** labels_a (input) the list of labels
//  char_1** items_a (input) the list of items
//
// return: none
//
Data_node::Data_node(char_1* desc_a, int_4 num_items_a, char_1** labels_a,
		     char_1** items_a, float_4* values_a) {
  
  // set the default debug level
  //
  debug_level_d = ISIP_DEBUG_NONE;
  
  // initialize data node name
  //
  desc_d = (char_1*)NULL;
  set_desc_cc(desc_a);

  // initialize everything else
  //
  num_items_d = 0;
  set_num_items_cc(num_items_a);

  items_d = (char_1**)NULL;
  set_items_cc(items_a);

  labels_d = (char_1**)NULL;
  set_labels_cc(labels_a);

  values_d = (float_4*)NULL;
  set_values_cc(values_a);
  
  // exit gracefully
  //
}




