// file: $DT/class/data_node/v1.0/attr_get_7.cc
//

// system include files
//
#include <stdlib.h>
#include <string.h>

// isip include files
//
#include "data_node.h"
#include "data_node_constants.h"
#include <integral_constants.h>

// method: get_value_cc
//
// arguments:
//  float_4* value_a: (output) the list of data items to return
//  int_4 index: (input) the index of the item to return
//
// return: logical error status
//
// This function returns the list of data items
//
logical_1 Data_node::get_value_cc(float_4& value_a, int_4 index_a) {
  
  // check arguments
  //

  int_4 num_values;
  get_num_items_cc(num_values);

  if (num_values <= index_a) {
    error_handler_cc((char_1*)"get_value_cc",
		     (char_1*)"index out of range");
  }

  value_a = values_d[index_a];
  
  // exit gracefully
  //
  return ISIP_TRUE;  
}
