// file: $DT/class/data_node/v1.0/data_set_2.cc
//

// system include files
//
#include <string.h>

// isip include files
//
#include "data_node.h"
#include "data_node_constants.h"
#include <integral_constants.h>

// method: set_labels_cc
//
// arguments:
//  char_1** labels_a: (input) the labels in data
//
// return: a logical_1 indicating status
//
// This function sets the labels in data
//
logical_1 Data_node::set_labels_cc (char_1** labels_a) {

  if (labels_a == (char_1**)NULL) {
    error_handler_cc((char_1*)"set_labels_cc",
		     (char_1*)"invalid labels");
  }

  if (labels_d == (char_1**)NULL) {
    labels_d = new char_1*[num_items_d];
  }

  for (int_4 i=0;i<num_items_d;i++) {
    if (labels_d[i] != (char_1*)NULL) {
      labels_d[i] = (char_1*)NULL;
    }
    labels_d[i] = new char_1[strlen((char*)labels_a[i]+1)];
    strcpy((char*)labels_d[i], (char*)labels_a[i]);
  }  

  // exit gracefully
  //
  return ISIP_TRUE;
}


