// file: $DT/class/data_node/v1.0/data_set_3.cc
//

// system include files
//
#include <string.h>

// isip include files
//
#include "data_node.h"
#include "data_node_constants.h"
#include <integral_constants.h>

// method: set_items_cc
//
// arguments:
//  char_1** items_a: (input) the items in data
//
// return: a logical_1 indicating status
//
// This function sets the items in data
//
logical_1 Data_node::set_items_cc (char_1** items_a) {

  if (items_a == (char_1**)NULL) {
    error_handler_cc((char_1*)"set_items_cc",
		     (char_1*)"invalid items");
  }

  if (items_d == (char_1**)NULL) {
    items_d = new char_1*[num_items_d];
  }
  
  for (int_4 i=0;i<num_items_d;i++) {
    if (items_d[i] != (char_1*)NULL) {
      items_d[i] = (char_1*)NULL;
    }

    items_d[i] = new char_1[strlen((char*)items_a[i])+1];
    strcpy((char*)items_d[i], (char*)items_a[i]);
  }  

  // exit gracefully
  //
  return ISIP_TRUE;
}


