// file: $DT/class/data_node/v1.0/data_set_4.cc
//

// system include files
//
#include <string.h>

// isip include files
//
#include "data_node.h"
#include "data_node_constants.h"
#include <integral_constants.h>

// method: set_values_cc
//
// arguments:
//  float_4* values_a: (input) the items in data
//
// return: a logical_1 indicating status
//
// This function sets the items in data
//
logical_1 Data_node::set_values_cc (float* values_a) {

  if (values_a == (float_4*)NULL) {
    error_handler_cc((char_1*)"set_values_cc",
		     (char_1*)"invalid items");
  }

  if (values_d == (float_4*)NULL) {
    values_d = new float_4[num_items_d];
  }
  
  for (int_4 i=0;i<num_items_d;i++) {
    values_d[i] = values_a[i];
  }  
  
  // exit gracefully
  //
  return ISIP_TRUE;
}


