// file: $DT/class/attribute_node/v1.0/dt_token_2.cc
//

#include "decision_tree.h"
#include <integral_constants.h>
#include <integral.h>
#include <stdlib.h>
#include <string.h>

logical_1 Decision_tree::pre_tokenize_cc(char_1** lines, int_4& num_tokens_a,
					  char_1* buffer_a,
					  char_1 token_a) {

  // check validity
  //
  if (buffer_a == (char_1*)NULL) {
    error_handler_cc ((char_1*) "pre_tokenize_cc",
		      (char_1*) "can't tokenize empty string");
  }

  if (lines == (char_1**)NULL) {
    error_handler_cc ((char_1*) "pre_tokenize_cc",
		      (char_1*) "output memory is not allocated");
  }    
  
  // set useful variables
  //
  num_tokens_a = 0;
  char_1* temp = buffer_a;
  char_1* tmp_buf;

  char_1 token[2] = {token_a , (char_1)NULL };
  
  // tokenize the first time
  //
  tmp_buf = (char_1*) strtok((char*)temp, (char*)token);
  if ((*tmp_buf == ISIP_SPACE) && (*tmp_buf == ISIP_TAB)) {
    tmp_buf++;
  }
  lines[num_tokens_a++] = tmp_buf;

  // continue tokenize
  //
  while ((tmp_buf = (char_1*) strtok(NULL, (char *)token))) {
    if ((*tmp_buf == ISIP_SPACE) && (*tmp_buf == ISIP_TAB)) {
      tmp_buf++;
    }
    lines[num_tokens_a++] = tmp_buf;
  }

  // return gracefully
  //
  return ISIP_TRUE;
}


