// file: $DT/class/decision_tree/v1.0/dt_train_0.cc
//

// isip include files
//
#include "decision_tree.h"
#include "decision_tree_constants.h"

#include <integral_constants.h>

// method: train_cc
//
// arguments:
//
// return: a logical_1 indicating status
//
logical_1 Decision_tree::train_cc () {

  // calculate prior probability
  //
  if (mode_split_d == DT_SPLIT_BAYES) {
    if (calculate_prior_prob_cc() != ISIP_TRUE) {
      error_handler_cc((char_1*)"train_cc", (char_1*)"can not calculate prior prob");
    }
  }
      
  // call function to being splitting
  //
  if (split_cc( mode_split_d ) != ISIP_TRUE) {
    error_handler_cc((char_1*)"train_cc", (char_1*)"can not split tree");
  }

  write_cc( tree_fname_d );
  
  // exit gracefully
  //
  return ISIP_TRUE;
}


