// file: $DT/class/decision_tree/v1.0/dt_write_0.cc
//

// isip include files
//
#include <tree.h>
#include <decision_tree.h>

#include <integral_constants.h>

// system include files
//
#include <stdio.h>

// method: write_cc
//
// arguments:
//
// return: a logical_1 indicating status
//
logical_1 Decision_tree::write_cc(char_1* fname_a) {
  
  // NULL file pointer, error and exit
  //
  if (fname_a == (char_1*)NULL) {

    error_handler_cc((char_1*)"write_cc", (char_1*)"filename is NULL string");
  }

  FILE* fp = fopen ((char*)fname_a, "w");

  if (fp == (FILE*)NULL) {

    // do something
    //
    error_handler_cc((char_1*)"write_cc",
		     (char_1*)"unable to open file for writing");
  }

  // output tree starting at the root
  //
  tree_d->output_detail_tree_cc( fp, tree_d->get_root_cc() );
  
  // close file
  //
  fclose(fp);
  
  // exit gracefully
  //
  return ISIP_TRUE;
}


