// file: ll_error_0.cc
//
 
// isip include files
//
#include "linked_list.h"
#include "linked_list_constants.h"
 
// method: error_handler_cc
//
// arguments:
//  char_1* mname: (input) method name in which the error occurred
//  char_1* msg: (input) message to be printed
//
// return: a logical_1 value indicating status
//
// this method displays an error message.
//
volatile void Linked_list::error_handler_cc(char_1* mname_a, char_1* msg_a) {
  
  // display a message
  //
  if (mname_a != (char_1*)NULL) {
    
    // check for no message
    //
    if (msg_a != (char_1*)NULL) {
      fprintf(stdout, "%s::%s: %s\n", LINKED_LIST_CLASS_NAME, mname_a,
              msg_a);
    }
    else {
      fprintf(stdout, "%s::%s: fatal error\n", LINKED_LIST_CLASS_NAME,
              mname_a);
    }
  }
  
  // exit very ungracefully
  //
  //  exit(ISIP_ERROR);
}
