// file: ll_node_0.cc
//

// isip include files
//
#include "linked_list.h"
#include <integral_constants.h>
 
// method: set_node_cc
//
// arguments:
//  void_p node: (input) node to be set
//
// return: a logical_1 flag to indicate success
//
// this method sets the node
//
logical_1 Linked_list::set_node_cc(void_p node_a) {

  // check if the current link already has a node
  //
  if (node_d != NULL) {
    delete node_d;
  }

  // set the current node
  //
  node_d = node_a;
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
