// file: ll_set_1.cc
//

// isip include files
//
#include "linked_list.h"
#include <integral_constants.h>

// method: set_next_cc
//
// arguments:
//  Linked_list* link: (input) the link to be set as next
//
// return: a logical_1 flag indicating success
//
// this method sets the next link of the current pointer to the
// specified value
//
logical_1 Linked_list::set_next_cc(Linked_list* link_a) {

  // set the next link
  //
  next_d = link_a;

  // exit gracefully
  //
  return ISIP_TRUE;
}
