// file: $DT/class/param_file/v1.0/pfil_cstr_1.cc
//
 
// isip include files
//
#include "param_file.h"

#include "param_file_constants.h"

// method: constructor
//
// arguments:
//
// return: none
//
//
// this is the default constructor for the Param_file class
//
Param_file::Param_file() {
  
  // set the class data to defaults
  //
  terminator_char_d = (char_1)PFIL_DEF_TERMINATOR_CHAR;
  assignment_char_d = (char_1)PFIL_DEF_ASSIGNMENT_CHAR;
  comment_char_d = (char_1)PFIL_DEF_COMMENT_CHAR;
  
  // initialize all variables
  //
  param_file_d = (char_1*)NULL;
  magic_string_d = (char_1*)NULL;
  
  params_d = (char_1**)NULL;
  values_d = (char_1**)NULL;
  num_params_d = 0;
  
  parse_statement_format_d = (char_1*)NULL;
  load_statement_format_d = (char_1*)NULL;
  
  debug_level_d = ISIP_DEBUG_NONE;
  
  // now build the formats from the other class data
  //
  set_parse_string_cc();
  
  // exit gracefully
  //
}

