// file: $DT/class/param_file/v1.0/pfil_token_0.cc
//

// system include files
//
#include <stdlib.h>
#include <string.h>

// isip include files
//
#include "param_file.h"

#include "param_file_constants.h"
#include <integral_constants.h>

// method: get_cc
//
// arguments:
//  char_1** values: (output) string of the value of the paramater
//  int_4& num_values: (output) number of values returned
//  char_1* param: (input) paramater to return
//  char_1 delimiter: (input)
//
// return: logical error status
//
// This function tokenizes a string into an array of strings
//
logical_1 Param_file::get_cc(char_1** values_a, int_4& num_values_a,
			     char_1* param_a, char_1 delimiter_a) {
  
  // check arguments
  //

  char_1 buffer[ISIP_MAX_STRING_LENGTH];

  get_cc(buffer,param_a);

  tokenize_cc(values_a, num_values_a, buffer, delimiter_a);
  
  // loop through values_a, removing leading and trailing white-space
  //
  // in perl, it would be s/^\ *(.*?)\ *$/$1/
  //
  
  // exit gracefully
  //
  return ISIP_TRUE;  
}



