// file: $DT/class/tree_node/v1.0/tn_cstr_1.cc
//

// isip include files
//
#include "tree_node.h"
#include "tree_node_constants.h"

// method: constructor
//
// arguments:
//
// return: none
//
// this is the default constructor for the Tree_node class that
// starts with a given node
//
Tree_node::Tree_node() {

  // initialize node parameters
  //
  label_d = (char_1*)NULL;
  question_d = (char_1*)NULL;
  output_d = (char_1*)NULL;
  children_d = new Linked_list();
  probability_d = (float_4*)NULL;
  count_d = (int_4*)NULL;
  discrete_values_d = (char_1**)NULL;
  classes_d = (char_1**)NULL;
  num_class_d=0;
  data_d = new Linked_list();
  num_data_nodes_d=0;
  num_discrete_values_d=0;

  // debugging parameters
  //
  debug_level_d = ISIP_DEBUG_NONE;
  
  // exit gracefully
  //
}






