// file: $DT/class/tree_node/v1.0/tn_dbg_1.cc
//

// isip include files
//
#include "tree_node.h"
#include <integral_constants.h>

// method: debug_cc
//
// arguments:
//  FILE* fp: (input) file pointer used for output
//  char_1* message: (input) a message concatenated to each debug message
//
// return: a logical_1 value indicating status
//
// this method displays the values of all internal data
//
logical_1 Tree_node::debug_cc(FILE* fp_a, char_1* message_a) {

  // dump debugging parameters
  //
  fprintf(fp_a, "%s: debug_level_d = %ld\n", message_a, debug_level_d);
  fprintf(fp_a, "label_d = %s\n", label_d);
  fprintf(fp_a, "min_d = %f\n", min_d);
  fprintf(fp_a, "max_d = %f\n", max_d);
  fprintf(fp_a, "operator_d = %ld\n",operator_d);
  fprintf(fp_a, "question_d = %s\n", question_d);
  fprintf(fp_a, "level_d = %ld\n", level_d);


  // exit gracefully
  //
  return ISIP_TRUE;
}
