// file: $DT/class/tree_node/v1.0/tn_get_5.cc
//

// system include files
//
#include <string.h>

// isip include files
//
#include "tree_node.h"
#include "tree_node_constants.h"
#include "decision_tree_constants.h"
#include <integral_constants.h>

// method: assign_class_cc
//
// arguments: none
//
// return: string containing terminal node class
//
// this method returns the class associated with this node, only if the
// node is terminal.
//
char_1* Tree_node::assign_class_cc() {

  int_4 max_a=0;
  int_4 max_index=0;
  
  // find class with the highest count
  //
  for ( int_4 i=0; i< num_class_d; i++ ) {
    if ( count_d[i] > max_a ) {
      max_a = count_d[i];
      max_index = i;
    }
  }

  // return class of this node
  //
  return classes_d[max_index];
}

