// file: $DT/class/tree_node/v1.0/tn_set_4.cc
//

// isip include files
//
#include "tree_node.h"
#include <integral_constants.h>
 
// method: set_count_cc
//
// arguments: int_4 count of the node
//
// return: logical_1 indicating success
//
// this method sets the count of the node into an array with each
// index corresponding to one class
//
logical_1 Tree_node::set_count_cc() {

  Linked_list* ll_ptr=data_d;
  Data_node* data_a;
  char_1* data_class_a= new char_1[ISIP_MAX_STRING_LENGTH];

  if ( count_d != (int_4*)NULL )
    delete [] count_d;

  count_d = new int_4[num_class_d];

  for ( int_4 i=0; i<num_class_d; i++ )
    count_d[i]=0;
  
  for ( int_4 i=0; i<num_data_nodes_d; i++ ) {

    data_a=(Data_node*)ll_ptr->get_node_cc();

    // get the class of the data item
    //
    data_a->get_item_cc( data_class_a, (int_4)0 );

    int_4 k=0;
    while ( strcmp((char*)data_class_a,(char*)classes_d[k])!=0 )
      k++;
    count_d[k]++;

    ll_ptr=ll_ptr->get_next_cc();
  }

  delete [] data_class_a;
  
  // exit gracefully
  //
  return ISIP_TRUE;

}
