// file: $DT/class/tree_node/v1.0/tn_set_5.cc
//

// isip include files
//
#include "tree_node.h"
#include <integral_constants.h>
 
// method: set_num_classes_cc
//
// arguments: int_4 number of classes for this data set
//
// return: logical_1 indicating success
//
// this method sets the number of classes
//
logical_1 Tree_node::set_classes_cc(int_4 num_class_a, char_1** classes_a ) {

  for (int_4 i=0; i<num_class_d; i++) {
    if (classes_d[i] != (char_1*)NULL) {
      delete [] classes_d[i];
    }
  }
  if (classes_d != (char_1**)NULL) {
    delete [] classes_d;
  }
  
  num_class_d = num_class_a;
  classes_d = new char_1*[num_class_d];

  for ( int_4 i=0; i<num_class_d; i++ )
    classes_d[i]=new char_1[ISIP_MAX_STRING_LENGTH];

  // copy the discrete values into the node
  //
  for ( int_4 i=0; i<num_class_d; i++ ) {
    strcpy((char*)classes_d[i],(char*)classes_a[i]);
  }
  
  // exit gracefully
  //
  return ISIP_TRUE;

}
