#!/usr/local/perl/bin/perl

while ($ARGV[0] =~ /^-/) {
    $_ = shift;
    if (/^-context/) {
	$context = shift;
    }
    elsif (/^-column/) {
	$col = shift;
    }
    elsif (/^-pron/) {
	$pron = shift;
    }
    elsif (/^-file/) {
	$infile = shift;
	open (INFILE, "$infile") || die "No such file: $infile\n";
    }
}

$blanks = "";
$count = 0;

for ($i=0;$i<$context;$i++) {
    $blanks = "_".$blanks;
    $blanks2 = "_ ".$blanks2;
}

for ($i=1;$i<=$pron;$i++) {
    $output1[$i] = "";
    $output2[$i] = "";
    $cal[$i] = 0;
}

$i = 1;

while (<INFILE>) {
    if (/^._+\t/) {
	$i++;
	/^([a-zA-Z\-\.\'\_ ]+)\t+(.+)\t+(.*)$/;
	($word, $phones, $num) = ($1, $2, $3);
	$phones =~ s/\t//g;
	$word = substr ($word, $col-1, 1);
	if ($word =~ /[^_]/) {
	    print $word, "\t", $phones, "\t", $num, "\n\n";
	}
	if ($i == $pron) {
	    print "\n";
	}
    }
    else {
	$i = 1;
	/^([a-zA-Z\-\.\'\_ ]+)\t+(.+)\t+(.*)$/;
	($word, $phones, $num) = ($1, $2, $3);
	$phones =~ s/\t//g;
	$word = substr ($word, $col-1, 1);
	if ($word =~ /[^_]/) {
	    print $word, "\t", $phones, "\t", $num, "\n";
	}
    }
}
