#!/bin/sh

# file: make_buildnet.sh
#
# this function recursively builds the phone-network from
# pronunciations software. it provides a simpler way to do 
# this than imake.
#
# its arguments are:
#
#    make_buildnet.sh make_options...
#
# for example,
#
#    make_buildnet.sh -j3
#
# will make and install all isip classes.
#

# define tools
#
ISIP_MTOOL="./bin/make_all.sh"

# load the executable
#
$ISIP_MTOOL ./src/util/build_net/ install $*;

# exit gracefully
# 
exit 0;
