# File: quit_proc.tcl
#

# this procedure exits the program cleanly
#

proc quit_proc {} {

    # import globals
    #
    global in_data
    global in_file
    global out_file
    global tmp1_file
    global tmp2_file
    global net_file
    
    # delete the temporary files
    #
    catch {exec rm $in_data}
    catch {exec rm $in_file}
    catch {exec rm $out_file}
    catch {exec rm $tmp1_file}
    catch {exec rm $tmp2_file}
    catch {exec rm $net_file}

    # exit the program
    #
    exit
}
