# File : readfile_proc.tcl
#

# This file reads the output of the Boltzmann machine and displays it
#

proc readfile_proc {} {

    # import globals
    #
    global p
    global pron_home
    global out_file
    global phones_list

    set phones_list {}
    # read the file
    #
    $p.pron_outs configure -state normal
    $p.pron_outs delete 1.0 end
    catch {
	set filename [open $out_file]
	set i 0
	while {![eof $filename]} {
	    set str [gets $filename]
	    parse_proc $p.pron_outs $str [incr i]
	}
	close $filename
    }
    $p.pron_outs configure -state disabled
}


