// file: bn_cstr_1.cc
//
// constructor
//

// isip include files
//
#include "boltz_neuron.h"

//-----------------------------------------------------------------------------
// method: constructor
//
// arguments: none
//
// return: none
//
// this is the default constructor for the neuron class of a boltzman machine
//-----------------------------------------------------------------------------

// initialize the inverse temperature
//
float_4 Boltz_neuron :: inv_temp_d = 0.0;
  
Boltz_neuron :: Boltz_neuron () {

  // initialize the parameters
  //
  output_d = 0.0;
  energy_gap_d = 0.0;
  probability_d = 0.0;

  // exit gracefully
  //
}
