// file: ib_load_1.cc
//
// method to load a name in the buffer
//

// isip include files
//
#include "input_buffer.h"

//-----------------------------------------------------------------------------
// method: output_cc
//
// arguments:
//     float_4* out_a: (output) output bits of the buffer
//
// return: a logical_1 value indicating success
//
// this method outputs the bits corresponding to the buffer content
//
//-----------------------------------------------------------------------------

logical_1 Input_buffer :: output_cc (float_4* out_a) {
  
  // copy array of bits to output
  //
  memcpy (out_a, output_d, out_size_d * sizeof(float_4));
  
  // exit gracefully
  //
  return (ISIP_TRUE);
}
