// file: array.h
//
// class definitions for the sorting of the output pronunciationss
// into a network
//

// make sure definitions are only made once
//
#ifndef __ISIP_PHONE_NET
#define __ISIP_PHONE_NET
 
// system and ISIP include files
//
#include "../../include/boltz_constants.h"
 
// declaration of class Array to hold data
//
class Array {

  //---------------------------------------------------------------------------
  //
  // protected members
  //
  //---------------------------------------------------------------------------
protected:
 
  int_4 row_num_d;
  int_4 phone_num_d;
  char_1** phones_d;

  //---------------------------------------------------------------------------
  //
  // public methods
  //
  //---------------------------------------------------------------------------
public:

  // destructor and constructor
  ~Array ();
  Array (int_4 row_a = 0, int_4 ph_a = 1);
  
  // i/o methods
  //
  logical_1 get_row_num_cc (int_4 &row_a);
  logical_1 set_phone_cc (int_4 ph_a, char_1* phone_a);
  logical_1 get_phone_cc (int_4 ph_a, char_1* phone_a);
  logical_1 check_phone_cc (int_4 ph_a, char_1* phone_a);
  logical_1 print_array_cc (FILE *outfile_a);
};

// end of file
//
#endif
