// file: text_to_speech.h
//

// make sure declarations are only made once
//
#ifndef __ISIP_TTS
#define __ISIP_TTS

// system include files
//
#include <config.h>
#include <stdio.h>
#include <ctype.h>
#include <useconfig.h>
#include <math.h>
#include <proto.h>
#include <nsynth.h>
#include <hplay.h>
#include <dict.h>
#include <ASCII.h>
#include <darray.h>
#include <holmes.h>
#include <phtoelm.h>
#include <text.h>
#include <getargs.h>
#include <phones.h>
#include <file.h>
#include <say.h>

// global function prototypes for map_phones.c 
//
extern int get_parameters_c ();
extern int map_phones_init_c ();
extern int grow_arrays_c ();
extern int qsort_c ();
extern int compare_str_c ();
extern int map_phones_c ();
extern int map_phone_free_c ();
extern int to_lower_c();
extern int text_to_phones_c();
extern int phones_to_speech_c();
extern int process_word_c();
extern int process_phones_c();
extern int expand_c();
extern void remove_blanks_c();

// end of file
//
#endif
